#!/bin/bash
##作者：waterbear
##URL：https://l-t.run/1577.html
##说明：
##仅在CentOS/Redhat做过测试可用
##参数 system_version  获取系统版本号
##需要外网联网更新YUM源
##

system_version=`awk '{print $4}' /etc/redhat-release | cut -c1`
echo -e "你当前操作系统为 ：\e[32m `awk '{print $1}' /etc/redhat-release` $system_version \e[0m"
case $system_version in
8)
        echo -e "\e[32m 开使安装FFmpeg所需的YUM源 \e[0m"
        yum install -y https://dl.fedoraproject.org/pub/epel/epel-release-latest-8.noarch.rpm >/dev/null 2>&1
        yum install -y https://download1.rpmfusion.org/free/el/rpmfusion-free-release-8.noarch.rpm https://download1.rpmfusion.org/nonfree/el/rpmfusion-nonfree-release-8.noarch.rpm  >/dev/null 2>&1
        yum install -y http://rpmfind.net/linux/centos/8-stream/PowerTools/x86_64/os/Packages/SDL2-2.0.10-2.el8.x86_64.rpm  >/dev/null 2>&1
        ;;
7)
        echo -e "\e[32m 开使安装FFmpeg所需的YUM源 \e[0m"
        rpm --import  http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro  >/dev/null 2>&1
        rpm -Uvh http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-5.el7.nux.noarch.rpm  >/dev/null 2>&1
        ;;
6)
        echo -e "\e[32m 开使安装FFmpeg所需的YUM源 \e[0m"
        rpm --import http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro  >/dev/null 2>&1
        rpm -Uvh http://li.nux.ro/download/nux/dextop/el6/x86_64/nux-dextop-release-0-2.el6.nux.noarch.rpm  >/dev/null 2>&1
        ;;
*)
        echo -e "\e[31m 仅支持Centos/Redhat的6、7、8版本系统安装FFmpeg环境！\e[0m"
        exit
esac
echo -e "\e[32m 开使安装FFmpeg软件 \e[0m"
yum install -y ffmpeg ffmpeg-devel >/dev/null 2>&1
echo -e "\e[32m FFmpeg测试中…… \e[0m"
ffmpeg -version
if [ $? -eq 0 ];then
	echo -e "\e[32m FFmpeg安装成功！\e[0m"   
else 
	echo -e "\e[31m FFmpeg安装失败！\e[0m" 
fi